## dogecoin 1.14.2

=== src/leveldb/Makefile ===
# Copyright (c) 2011 The LevelDB Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file. See the AUTHORS file for names of contributors.

#-----------------------------------------------
# Uncomment exactly one of the lines labelled (A), (B), and (C) below
# to switch between compilation modes.

# (A) Production use (optimized mode)
OPT ?= -O2 -DNDEBUG
# (B) Debug mode, w/ full line-level debugging symbols
# OPT ?= -g2
# (C) Profiling mode: opt, but w/debugging symbols
# OPT ?= -O2 -g2 -DNDEBUG
#-----------------------------------------------

# detect what platform we're building on
$(shell CC="$(CC)" CXX="$(CXX)" TARGET_OS="$(TARGET_OS)" \
    ./build_detect_platform build_config.mk ./)
# this file is generated by the previous line to set build flags and sources
include build_config.mk

TESTS = \
	db/autocompact_test \
	db/c_test \
	db/corruption_test \
	db/db_test \
	db/dbformat_test \
	db/fault_injection_test \
	db/filename_test \
	db/log_test \
	db/recovery_test \
	db/skiplist_test \
	db/version_edit_test \
	db/version_set_test \
	db/write_batch_test \
	helpers/memenv/memenv_test \
	issues/issue178_test \
	issues/issue200_test \
	table/filter_block_test \
	table/table_test \
	util/arena_test \
	util/bloom_test \
	util/cache_test \
	util/coding_test \
	util/crc32c_test \
	util/env_test \
	util/hash_test

UTILS = \
	db/db_bench \
	db/leveldbutil

# Put the object files in a subdirectory, but the application at the top of the object dir.
PROGNAMES := $(notdir $(TESTS) $(UTILS))

# On Linux may need libkyotocabinet-dev for dependency.
BENCHMARKS = \
	doc/bench/db_bench_sqlite3 \
	doc/bench/db_bench_tree_db

CFLAGS += -I. -I./include $(PLATFORM_CCFLAGS) $(OPT)
CXXFLAGS += -I. -I./include $(PLATFORM_CXXFLAGS) $(OPT)

LDFLAGS += $(PLATFORM_LDFLAGS)
LIBS += $(PLATFORM_LIBS)

SIMULATOR_OUTDIR=out-ios-x86
DEVICE_OUTDIR=out-ios-arm

ifeq ($(PLATFORM), IOS)
# Note: iOS should probably be using libtool, not ar.
AR=xcrun ar
SIMULATORSDK=$(shell xcrun -sdk iphonesimulator --show-sdk-path)
DEVICESDK=$(shell xcrun -sdk iphoneos --show-sdk-path)
DEVICE_CFLAGS = -isysroot "$(DEVICESDK)" -arch armv6 -arch armv7 -arch armv7s -arch arm64
SIMULATOR_CFLAGS = -isysroot "$(SIMULATORSDK)" -arch i686 -arch x86_64
STATIC_OUTDIR=out-ios-universal
else
STATIC_OUTDIR=out-static
SHARED_OUTDIR=out-shared
STATIC_PROGRAMS := $(addprefix $(STATIC_OUTDIR)/, $(PROGNAMES))
SHARED_PROGRAMS := $(addprefix $(SHARED_OUTDIR)/, db_bench)
endif

STATIC_LIBOBJECTS := $(addprefix $(STATIC_OUTDIR)/, $(SOURCES:.cc=.o))
STATIC_MEMENVOBJECTS := $(addprefix $(STATIC_OUTDIR)/, $(MEMENV_SOURCES:.cc=.o))

DEVICE_LIBOBJECTS := $(addprefix $(DEVICE_OUTDIR)/, $(SOURCES:.cc=.o))
DEVICE_MEMENVOBJECTS := $(addprefix $(DEVICE_OUTDIR)/, $(MEMENV_SOURCES:.cc=.o))

SIMULATOR_LIBOBJECTS := $(addprefix $(SIMULATOR_OUTDIR)/, $(SOURCES:.cc=.o))
SIMULATOR_MEMENVOBJECTS := $(addprefix $(SIMULATOR_OUTDIR)/, $(MEMENV_SOURCES:.cc=.o))

SHARED_LIBOBJECTS := $(addprefix $(SHARED_OUTDIR)/, $(SOURCES:.cc=.o))
SHARED_MEMENVOBJECTS := $(addprefix $(SHARED_OUTDIR)/, $(MEMENV_SOURCES:.cc=.o))

TESTUTIL := $(STATIC_OUTDIR)/util/testutil.o
TESTHARNESS := $(STATIC_OUTDIR)/util/testharness.o $(TESTUTIL)

STATIC_TESTOBJS := $(addprefix $(STATIC_OUTDIR)/, $(addsuffix .o, $(TESTS)))
STATIC_UTILOBJS := $(addprefix $(STATIC_OUTDIR)/, $(addsuffix .o, $(UTILS)))
STATIC_ALLOBJS := $(STATIC_LIBOBJECTS) $(STATIC_MEMENVOBJECTS) $(STATIC_TESTOBJS) $(STATIC_UTILOBJS) $(TESTHARNESS)
DEVICE_ALLOBJS := $(DEVICE_LIBOBJECTS) $(DEVICE_MEMENVOBJECTS)
SIMULATOR_ALLOBJS := $(SIMULATOR_LIBOBJECTS) $(SIMULATOR_MEMENVOBJECTS)

default: all

# Should we build shared libraries?
ifneq ($(PLATFORM_SHARED_EXT),)

# Many leveldb test apps use non-exported API's. Only build a subset for testing.
SHARED_ALLOBJS := $(SHARED_LIBOBJECTS) $(SHARED_MEMENVOBJECTS) $(TESTHARNESS)

ifneq ($(PLATFORM_SHARED_VERSIONED),true)
SHARED_LIB1 = libleveldb.$(PLATFORM_SHARED_EXT)
SHARED_LIB2 = $(SHARED_LIB1)
SHARED_LIB3 = $(SHARED_LIB1)
SHARED_LIBS = $(SHARED_LIB1)
SHARED_MEMENVLIB = $(SHARED_OUTDIR)/libmemenv.a
else
# Update db.h if you change these.
SHARED_VERSION_MAJOR = 1
SHARED_VERSION_MINOR = 19
SHARED_LIB1 = libleveldb.$(PLATFORM_SHARED_EXT)
SHARED_LIB2 = $(SHARED_LIB1).$(SHARED_VERSION_MAJOR)
SHARED_LIB3 = $(SHARED_LIB1).$(SHARED_VERSION_MAJOR).$(SHARED_VERSION_MINOR)
SHARED_LIBS = $(SHARED_OUTDIR)/$(SHARED_LIB1) $(SHARED_OUTDIR)/$(SHARED_LIB2) $(SHARED_OUTDIR)/$(SHARED_LIB3)
$(SHARED_OUTDIR)/$(SHARED_LIB1): $(SHARED_OUTDIR)/$(SHARED_LIB3)
	ln -fs $(SHARED_LIB3) $(SHARED_OUTDIR)/$(SHARED_LIB1)
$(SHARED_OUTDIR)/$(SHARED_LIB2): $(SHARED_OUTDIR)/$(SHARED_LIB3)
	ln -fs $(SHARED_LIB3) $(SHARED_OUTDIR)/$(SHARED_LIB2)
SHARED_MEMENVLIB = $(SHARED_OUTDIR)/libmemenv.a
endif

$(SHARED_OUTDIR)/$(SHARED_LIB3): $(SHARED_LIBOBJECTS)
	$(CXX) $(LDFLAGS) $(PLATFORM_SHARED_LDFLAGS)$(SHARED_LIB2) $(SHARED_LIBOBJECTS) -o $(SHARED_OUTDIR)/$(SHARED_LIB3) $(LIBS)

endif  # PLATFORM_SHARED_EXT

all: $(SHARED_LIBS) $(SHARED_PROGRAMS) $(STATIC_OUTDIR)/libleveldb.a $(STATIC_OUTDIR)/libmemenv.a $(STATIC_PROGRAMS)

check: $(STATIC_PROGRAMS)
	for t in $(notdir $(TESTS)); do echo "***** Running $$t"; $(STATIC_OUTDIR)/$$t || exit 1; done

clean:
	-rm -rf out-static out-shared out-ios-x86 out-ios-arm out-ios-universal
	-rm -f build_config.mk
	-rm -rf ios-x86 ios-arm

$(STATIC_OUTDIR):
	mkdir $@

$(STATIC_OUTDIR)/db: | $(STATIC_OUTDIR)
	mkdir $@

$(STATIC_OUTDIR)/helpers/memenv: | $(STATIC_OUTDIR)
	mkdir -p $@

$(STATIC_OUTDIR)/port: | $(STATIC_OUTDIR)
	mkdir $@

$(STATIC_OUTDIR)/table: | $(STATIC_OUTDIR)
	mkdir $@

$(STATIC_OUTDIR)/util: | $(STATIC_OUTDIR)
	mkdir $@

.PHONY: STATIC_OBJDIRS
STATIC_OBJDIRS: \
	$(STATIC_OUTDIR)/db \
	$(STATIC_OUTDIR)/port \
	$(STATIC_OUTDIR)/table \
	$(STATIC_OUTDIR)/util \
	$(STATIC_OUTDIR)/helpers/memenv

$(SHARED_OUTDIR):
	mkdir $@

$(SHARED_OUTDIR)/db: | $(SHARED_OUTDIR)
	mkdir $@

$(SHARED_OUTDIR)/helpers/memenv: | $(SHARED_OUTDIR)
	mkdir -p $@

$(SHARED_OUTDIR)/port: | $(SHARED_OUTDIR)
	mkdir $@

$(SHARED_OUTDIR)/table: | $(SHARED_OUTDIR)
	mkdir $@

$(SHARED_OUTDIR)/util: | $(SHARED_OUTDIR)
	mkdir $@

.PHONY: SHARED_OBJDIRS
SHARED_OBJDIRS: \
	$(SHARED_OUTDIR)/db \
	$(SHARED_OUTDIR)/port \
	$(SHARED_OUTDIR)/table \
	$(SHARED_OUTDIR)/util \
	$(SHARED_OUTDIR)/helpers/memenv

$(DEVICE_OUTDIR):
	mkdir $@

$(DEVICE_OUTDIR)/db: | $(DEVICE_OUTDIR)
	mkdir $@

$(DEVICE_OUTDIR)/helpers/memenv: | $(DEVICE_OUTDIR)
	mkdir -p $@

$(DEVICE_OUTDIR)/port: | $(DEVICE_OUTDIR)
	mkdir $@

$(DEVICE_OUTDIR)/table: | $(DEVICE_OUTDIR)
	mkdir $@

$(DEVICE_OUTDIR)/util: | $(DEVICE_OUTDIR)
	mkdir $@

.PHONY: DEVICE_OBJDIRS
DEVICE_OBJDIRS: \
	$(DEVICE_OUTDIR)/db \
	$(DEVICE_OUTDIR)/port \
	$(DEVICE_OUTDIR)/table \
	$(DEVICE_OUTDIR)/util \
	$(DEVICE_OUTDIR)/helpers/memenv

$(SIMULATOR_OUTDIR):
	mkdir $@

$(SIMULATOR_OUTDIR)/db: | $(SIMULATOR_OUTDIR)
	mkdir $@

$(SIMULATOR_OUTDIR)/helpers/memenv: | $(SIMULATOR_OUTDIR)
	mkdir -p $@

$(SIMULATOR_OUTDIR)/port: | $(SIMULATOR_OUTDIR)
	mkdir $@

$(SIMULATOR_OUTDIR)/table: | $(SIMULATOR_OUTDIR)
	mkdir $@

$(SIMULATOR_OUTDIR)/util: | $(SIMULATOR_OUTDIR)
	mkdir $@

.PHONY: SIMULATOR_OBJDIRS
SIMULATOR_OBJDIRS: \
	$(SIMULATOR_OUTDIR)/db \
	$(SIMULATOR_OUTDIR)/port \
	$(SIMULATOR_OUTDIR)/table \
	$(SIMULATOR_OUTDIR)/util \
	$(SIMULATOR_OUTDIR)/helpers/memenv

$(STATIC_ALLOBJS): | STATIC_OBJDIRS
$(DEVICE_ALLOBJS): | DEVICE_OBJDIRS
$(SIMULATOR_ALLOBJS): | SIMULATOR_OBJDIRS
$(SHARED_ALLOBJS): | SHARED_OBJDIRS

ifeq ($(PLATFORM), IOS)
$(DEVICE_OUTDIR)/libleveldb.a: $(DEVICE_LIBOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(DEVICE_LIBOBJECTS)

$(SIMULATOR_OUTDIR)/libleveldb.a: $(SIMULATOR_LIBOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(SIMULATOR_LIBOBJECTS)

$(DEVICE_OUTDIR)/libmemenv.a: $(DEVICE_MEMENVOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(DEVICE_MEMENVOBJECTS)

$(SIMULATOR_OUTDIR)/libmemenv.a: $(SIMULATOR_MEMENVOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(SIMULATOR_MEMENVOBJECTS)

# For iOS, create universal object libraries to be used on both the simulator and
# a device.
$(STATIC_OUTDIR)/libleveldb.a: $(STATIC_OUTDIR) $(DEVICE_OUTDIR)/libleveldb.a $(SIMULATOR_OUTDIR)/libleveldb.a
	lipo -create $(DEVICE_OUTDIR)/libleveldb.a $(SIMULATOR_OUTDIR)/libleveldb.a -output $@

$(STATIC_OUTDIR)/libmemenv.a: $(STATIC_OUTDIR) $(DEVICE_OUTDIR)/libmemenv.a $(SIMULATOR_OUTDIR)/libmemenv.a
	lipo -create $(DEVICE_OUTDIR)/libmemenv.a $(SIMULATOR_OUTDIR)/libmemenv.a -output $@
else
$(STATIC_OUTDIR)/libleveldb.a:$(STATIC_LIBOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(STATIC_LIBOBJECTS)

$(STATIC_OUTDIR)/libmemenv.a:$(STATIC_MEMENVOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(STATIC_MEMENVOBJECTS)
endif

$(SHARED_MEMENVLIB):$(SHARED_MEMENVOBJECTS)
	rm -f $@
	$(AR) -rs $@ $(SHARED_MEMENVOBJECTS)

$(STATIC_OUTDIR)/db_bench:db/db_bench.cc $(STATIC_LIBOBJECTS) $(TESTUTIL)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/db_bench.cc $(STATIC_LIBOBJECTS) $(TESTUTIL) -o $@ $(LIBS)

$(STATIC_OUTDIR)/db_bench_sqlite3:doc/bench/db_bench_sqlite3.cc $(STATIC_LIBOBJECTS) $(TESTUTIL)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) doc/bench/db_bench_sqlite3.cc $(STATIC_LIBOBJECTS) $(TESTUTIL) -o $@ -lsqlite3 $(LIBS)

$(STATIC_OUTDIR)/db_bench_tree_db:doc/bench/db_bench_tree_db.cc $(STATIC_LIBOBJECTS) $(TESTUTIL)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) doc/bench/db_bench_tree_db.cc $(STATIC_LIBOBJECTS) $(TESTUTIL) -o $@ -lkyotocabinet $(LIBS)

$(STATIC_OUTDIR)/leveldbutil:db/leveldbutil.cc $(STATIC_LIBOBJECTS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/leveldbutil.cc $(STATIC_LIBOBJECTS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/arena_test:util/arena_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) util/arena_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/autocompact_test:db/autocompact_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/autocompact_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/bloom_test:util/bloom_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) util/bloom_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/c_test:$(STATIC_OUTDIR)/db/c_test.o $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(STATIC_OUTDIR)/db/c_test.o $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/cache_test:util/cache_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) util/cache_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/coding_test:util/coding_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) util/coding_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/corruption_test:db/corruption_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/corruption_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/crc32c_test:util/crc32c_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) util/crc32c_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/db_test:db/db_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/db_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/dbformat_test:db/dbformat_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/dbformat_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/env_test:util/env_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) util/env_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/fault_injection_test:db/fault_injection_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/fault_injection_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

$(STATIC_OUTDIR)/filename_test:db/filename_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS)
	$(CXX) $(LDFLAGS) $(CXXFLAGS) db/filename_test.cc $(STATIC_LIBOBJECTS) $(TESTHARNESS) -o $@ $(LIBS)

## dogecoin 1.10.0

=== debian/changelog ===
dogecoin (1.10.0-7) unstable; urgency=medium

  [Giovanni Mascellani]
  * Fix some API usages that changed between Boost 1.62 and
    Boost 1.67 (Closes: #914146)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 31 Jan 2019 23:12:44 +0800

dogecoin (1.10.0-6) unstable; urgency=low

  * Update Standards-Version to 4.2.1
  * Use boost 1.62 to prevent FTBFS with boost 1.67 (Closes: #914146)
    - When I fixed this bug, boost 1.62 is in buster repo.
  * Remove debian/dogecoin.triggers to fix lintian error:
    repeated-trigger-name

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 06 Dec 2018 00:15:04 +0800

dogecoin (1.10.0-5) unstable; urgency=low

  [Niels Thykier]
  * Fix memory leak in
    debian/patches/0005-openssl_1_1_fixes.patch (Closes: #850223)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 26 Jan 2017 16:08:49 +0800

dogecoin (1.10.0-4) unstable; urgency=low

  * Fix errors with OpenSSL 1.1 (Closes: #846767)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 29 Dec 2016 17:16:08 +0800

dogecoin (1.10.0-3) unstable; urgency=low

  [Reiner Herrmann]
  * Using C locale for sorting for reproducible builds (Closes: #828969)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Fri, 28 Oct 2016 13:06:18 +0800

dogecoin (1.10.0-2) unstable; urgency=low

  * Remove libdogecoinconsensus.la. Fixed lintian error.

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 02 Mar 2016 23:47:07 +0800

dogecoin (1.10.0-1) unstable; urgency=low

  * New upstream release
  * Add 0001-rename-libbitcoinconsensus-to-libdogecoinconsensus.patch
      (Closes: #813973, #813974)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 24 Feb 2016 14:30:15 +0800

dogecoin (1.8.10-2) unstable; urgency=low

  * Add --disable-test due to coredump (will report upstream) (Closes: #793840)
  * Note: libboost and gcc5 transition fixes (Closes: #812656)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Sat, 20 Feb 2016 06:54:43 +0800

dogecoin (1.8.10-1) unstable; urgency=low

  * New upstream release

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 03 Feb 2016 12:12:02 +0800

dogecoin (1.8.0-1) unstable; urgency=low

  * Initial release (Closes: #748799)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 20 Nov 2014 23:58:33 +0800

=== debian/control ===
Source: dogecoin
Section: utils
Priority: optional
Maintainer: Keng-Yu Lin <kengyu@lexical.tw>
Build-Depends: debhelper (>= 9), dh-autoreconf, automake, autoconf, pkg-config, libdb++-dev, libminiupnpc-dev, libboost-system1.62-dev, libboost-filesystem1.62-dev, libboost-program-options1.62-dev, libboost-thread1.62-dev, libboost-chrono1.62-dev, libboost-test1.62-dev, libssl-dev, libprotobuf-dev, protobuf-compiler, qtbase5-dev, qttools5-dev-tools, libqrencode-dev, python
Standards-Version: 4.2.1
Homepage: http://dogecoin.com/

Package: dogecoin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency
 Dogecoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 20+ GB of space, slowly growing.

## dogecoin 1.10.0.1+rb2

=== debian/changelog ===
dogecoin (1.10.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 27 Jan 2021 16:18:49 +0800

dogecoin (1.10.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Run wrap-and-sort.
  * Use unversioned Build-Depends on boost libraries.  Closes: #914146
  * Add QPainterPath header.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 11 Feb 2019 13:47:53 +0100

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --with-incompatible-bdb --with-gui=qt5 --enable-upnp-default --disable-tests

override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/dogecoin/usr/bin/test_dogecoin
	rm -f $(CURDIR)/debian/dogecoin/usr/bin/test_dogecoin-qt
	find $(CURDIR)/debian/dogecoin/ -name libdogecoinconsensus.la -exec rm -f {} \;

override_dh_install:
	dh_install
	mv $(CURDIR)/debian/dogecoin/usr/share/pixmaps/bitcoin128.png $(CURDIR)/debian/dogecoin/usr/share/pixmaps/dogecoin128.png

## dogecoin 1.14.2

=== debian/changelog ===
dogecoin (1.14.2-1) unstable; urgency=medium

  * New upstream release
  * Change Python to Python3 in Build-Depends (Closes: #967129)
  * Update debian/libdogecoinconsensus0.symbols.amd64 (Closes: #967020)
  * Update Standards-Version to 4.5.0.3 

 -- Keng-Yu Lin <kengyu@debian.org>  Sun, 13 Sep 2020 15:42:30 +0800

dogecoin (1.14.0-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * libdogecoinconsensus-dev,libdogecoinconsensus0: Add the missing
    Breaks+Replaces: dogecoin (<< 1.14) (Closes: #962723)
  * Make the symbols file amd64-only to work around symbol
    differences on other architectures. (Closes: #959479)

 -- Adrian Bunk <bunk@debian.org>  Mon, 15 Jun 2020 18:10:24 +0300

dogecoin (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standars-Version to 4.5.0.2
  * Reviewed the source and updated debian/copyright
  * Fixed pedantic lintian warnings and errors
  * Add lintian override for testsuite-autopkgtest-missing
  * Change maintainer's email to kengyu@debian.org
  * List src/qt/res/fonts/ComicNeue-Regular-Oblique.ttf,
         src/qt/res/fonts/ComicNeue-Regular.ttf,
         src/qt/res/fonts/ComicNeue-Bold.ttf,
         src/qt/res/fonts/ComicNeue-Light-Oblique.ttf,
         src/qt/res/fonts/ComicNeue-Light.ttf
    licesed under CC0-1.0 in debian/copyright

 -- Keng-Yu Lin <kengyu@debian.org>  Tue, 19 May 2020 16:55:06 +0800

=== debian/control ===
Source: dogecoin
Section: utils
Priority: optional
Maintainer: Debian Cryptocoin Team <team+cryptocoin@tracker.debian.org>
Uploaders: Keng-Yu Lin <kengyu@debian.org>
Build-Depends:
 autoconf,
 automake,
 debhelper (>= 12),
 libboost-chrono-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev,
 libdb++-dev,
 libevent-dev,
 libminiupnpc-dev,
 libprotobuf-dev,
 libqrencode-dev,
 libssl-dev,
 pkg-config,
 protobuf-compiler,
 python3,
 qtbase5-dev,
 qttools5-dev-tools,
Standards-Version: 4.5.0.3
Homepage: http://dogecoin.com/

Package: dogecoin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: peer-to-peer network based digital currency
 Dogecoin is a free open source peer-to-peer electronic cash system that
 is completely decentralized, without the need for a central server or
 trusted parties.  Users hold the crypto keys to their own money and
 transact directly with each other, with the help of a P2P network to
 check for double-spending.
 .
 Full transaction history is stored locally at each client.  This
 requires 20+ GB of space, slowly growing.

Package: libdogecoinconsensus0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Pre-Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: dogecoin (<< 1.14)
Replaces: dogecoin (<< 1.14)
Description: Dogecoin consensus library (shared library)
 libdogecoinconcensus library provides consensus validation for Dogecoin.
 This library incorporates the files that have been identified as
 "consensus critical" in dogecoind.

Package: libdogecoinconsensus-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libdogecoinconsensus0 (= ${binary:Version})
Breaks: dogecoin (<< 1.14)
Replaces: dogecoin (<< 1.14)
Description: Dogecoin consensus library (development files)
 libdogecoinconsensus library provides consensus validation for Dogecoin.
 This library incorporates the files that have been identified as
 "consensus critical" in dogecoind.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE = 1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PROTOCOL_BUFFERS_PYTHON_IMPLEMENTATION = python

%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --with-incompatible-bdb --with-gui=qt5 --enable-upnp-default --disable-tests --disable-bench

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/ -name libdogecoinconsensus.la -exec rm -f {} \;

override_dh_install:
	dh_install
	cp $(CURDIR)/share/pixmaps/bitcoin128.png $(CURDIR)/debian/dogecoin/usr/share/pixmaps/dogecoin128.png

override_dh_dwz:

## dogecoin 1.14.3

=== debian/changelog ===
dogecoin (1.14.3-1) unstable; urgency=medium

  * New upstream release (Closes: #975124)

 -- Keng-Yu Lin <kengyu@debian.org>  Thu, 04 Mar 2021 03:31:51 +0800
